# Poco

# class Runnable

Library: Foundation
Package: Threading
Header: Poco/Runnable.h

## Description

The Runnable interface with the run() method must be implemented by classes that provide an entry point for a thread.

## Inheritance

Known Derived Classes: ActiveDispatcher, ActiveRunnableBase, ActiveRunnable, Activity, AsyncChannel, DirectoryWatcher, RunnableAdapter, Task, Poco::Thread::FunctorRunnable, ThreadTarget, Timer, Poco::Net::HTTPServer, Poco::Net::HTTPServerConnection, Poco::Net::SocketProactor, Poco::Net::SocketReactor, Poco::Net::TCPServer, Poco::Net::TCPServerConnection, Poco::Net::TCPServerDispatcher, Poco::Net::UDPClient, Poco::Net::sizeof, Poco::Net::sizeof, Poco::Util::Timer, Poco::Util::TimerTask, Poco::Util::TimerFunc, Poco::Util::TimerTaskAdapter

## Member Summary

Member Functions: run

## Constructors

### Runnable

Runnable();

## Destructor

### ~Runnable

virtual ~Runnable();

## Member Functions

### run

virtual void run() = 0;

Do whatever the thread needs to do. Must be overridden by subclasses.